/*
 * This file is generated by jOOQ.
 */
package de.ship.db.enums;


import de.ship.db.CommonDd;

import org.jooq.Catalog;
import org.jooq.EnumType;
import org.jooq.Schema;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public enum EnumPersonmodulerole implements EnumType {

    person_modulerole_employee("person.modulerole.employee"),

    person_modulerole_examiner("person.modulerole.examiner"),

    person_modulerole_reader("person.modulerole.reader"),

    person_modulerole_student("person.modulerole.student"),

    person_modulerole_it("person.modulerole.it"),

    person_modulerole_meddoc("person.modulerole.meddoc"),

    person_modulerole_qm("person.modulerole.qm"),

    person_modulerole_scientist("person.modulerole.scientist");

    private final String literal;

    private EnumPersonmodulerole(String literal) {
        this.literal = literal;
    }

    @Override
    public Catalog getCatalog() {
        return getSchema().getCatalog();
    }

    @Override
    public Schema getSchema() {
        return CommonDd.COMMON_DD;
    }

    @Override
    public String getName() {
        return "enum_personmodulerole";
    }

    @Override
    public String getLiteral() {
        return literal;
    }

    /**
     * Lookup a value of this EnumType by its literal. Returns
     * <code>null</code>, if no such value could be found, see {@link
     * EnumType#lookupLiteral(Class, String)}.
     */
    public static EnumPersonmodulerole lookupLiteral(String literal) {
        return EnumType.lookupLiteral(EnumPersonmodulerole.class, literal);
    }
}
